export default function setErrorsFromAPI($validator: any, errors: any, i18n: any) {
  const length = errors.length;
  let i = 0;

  for (i; i < length; i++) {
    const field = errors[i];
    const fieldName = field.path;
    const vfield = $validator.fields.find({name: fieldName});
    if (vfield) {
      vfield.setFlags({
        invalid: true,
        valid: false,
        validated: true,
      });
      $validator.errors.add({
        id: vfield.id,
        field: vfield.name,
        msg: i18n.t(field.translationKey, field.data),
        scope: vfield.scope,
      });
    }
  }
}
