/* eslint-disable import/no-extraneous-dependencies */
import Vue from 'vue';
import {storiesOf} from '@storybook/vue'
import {action} from '@storybook/addon-actions'
import {
  withKnobs,
  text,
  boolean,
  select,
} from '@storybook/addon-knobs';

import ShButton from '../components/sh-button/ShButton'
import FileUpload from 'vue-upload-component';
import centered from "@storybook/addon-centered";
Vue.component('FileUpload', FileUpload);



const stories = storiesOf('FileUpload', module);

stories.addDecorator(centered);
stories.addDecorator(withKnobs);
stories.add('File upload', () => ({
  components: {FileUpload, ShButton},
  data() {
    return {
      files: [],
      loading: false
    }
  },
  template: `<div>
      <FileUpload
          ref="upload"
          v-model="files"
          :drop="true"
          @input="onUpload"
        >
        <p class="font-bold">Drag and drop files here or</p>
        <ShButton
          :isLoading="loading"
          buttonContent="Upload file"
        ></ShButton>
        <div class="dragging-overlay" v-if="$refs.upload && $refs.upload.dropActive">You can drop your files here</div>
        </FileUpload>
        <ul>
          <li v-for="file in files">{{ file.name }}</li>
        </ul>
    </div>`,
  methods: {
    onUpload(value) {
      this.files = value;
    },

  }
}),{
  notes: 'A very simple component',
});
