/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue'
import {action} from '@storybook/addon-actions'
import {
  withKnobs,
  text,
  boolean,
  select,
} from '@storybook/addon-knobs';

import ShActionPage from '../components/sh-action-page/ShActionPage';
import ShCard from '../components/sh-card/ShCard';
import ShCardWidget from '../components/sh-card/ShCardWidget';
import ShButton from '../components/sh-button/ShButton';
import {withBackgrounds} from "@storybook/addon-backgrounds";

const stories = storiesOf('ActionPage', module);
stories.addDecorator(withKnobs);
stories.addDecorator(
  withBackgrounds([
    { name: 'basic', value: '#F5F8FB', default: true }
  ])
);
stories.add('ActionPage', () => ({
  components: {ShActionPage, ShCard, ShCardWidget, ShButton},
  data: () => {
    return {
      title: text('title', 'Blankslate title'),
      description: text('description', 'Blankslate description'),
    }
  },
  template: `<ShActionPage 
    :title='title' 
    :description='description'
   >
   <ShCard slot="content">
    <ShCardWidget
      title='Tytul'
      type='section'
    >
       <p slot="description" v-html="description" ></p>

       <ShButton
        slot="action"
        buttonContent="dodaj"
        buttonSize="small"
      ></ShButton>

</ShCardWidget>
   </ShCard>
   </ShActionPage>`,
  methods: {action: action('clicked')}
}),{
  notes: 'A very simple component',
});
