/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue'
import { action, actions } from '@storybook/addon-actions';
import { withBackgrounds } from '@storybook/addon-backgrounds';
import {
  select,
  withKnobs,
} from '@storybook/addon-knobs';

import ShBannerTabs from '../components/sh-banner-tabs/ShBannerTabs.vue';
import centered from "@storybook/addon-centered";
import ShSingleColumnLayout from '../layouts/single-column';

const stories = storiesOf('Banner tabs', module);
const items = {
  '1': 1,
  '2': 2,
  '3': 3,
  '4': 4,
};

const tabs = [
  {title: 'Product avilable only in one variant?', name: 'one-variant', src: 'https://shoplo.com/img/admin/blankslate/blankslate_orders.svg'},
  {title: 'Are there multiple variants?', name: 'multiple-variants', src: 'https://shoplo.com/img/admin/blankslate/blankslate_abandoned.svg'},
  {title: 'Are there multiple 2', name: 'multiple-variants-1', src: 'https://shoplo.com/img/admin/blankslate/blankslate_abandoned.svg'},
  {title: 'Are there multiple 3', name: 'multiple-variants-3', src: 'https://shoplo.com/img/admin/blankslate/blankslate_abandoned.svg'},
  {title: 'Are there multiple 4', name: 'multiple-variants-4', src: 'https://shoplo.com/img/admin/blankslate/blankslate_abandoned.svg'},
];
stories.addDecorator(withKnobs);
stories.addDecorator(
  withBackgrounds([
    { name: 'basic', value: '#F5F8FB', default: true }
  ])
);
stories.add('Default card', () => ({
  components: {ShBannerTabs, ShSingleColumnLayout},
  data: () => {
    return {
      items: select('items', items, '2'),
      tabs: tabs,
      }
    },
  template: `
<div :style="{maxWidth: '960px', margin: '200px auto 0'}">

<ShBannerTabs
:tabsData="tabs.slice(0, items)"
@select="select">
</ShBannerTabs>
</div>`,
  methods: {
    select:(tab) => {
      console.log('select', tab)
      action('select')
    }
  }
}),{
  notes: 'A very very simple component',
});
