/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue'
import {action} from '@storybook/addon-actions'
import {
  withKnobs,
  text,
  boolean,
  select,
} from '@storybook/addon-knobs';

import ShBlankslate from '../components/sh-blankslate/ShBlankslate';
import {withBackgrounds} from "@storybook/addon-backgrounds";

const stories = storiesOf('Blankslate', module);
stories.addDecorator(withKnobs);
stories.addDecorator(
  withBackgrounds([
    { name: 'basic', value: '#F5F8FB', default: true }
  ])
);
stories.add('Blankslate', () => ({
  components: {ShBlankslate},
  data: () => {
    return {
      imgSrc: text('imgSrc', 'https://shoplo.com/img/admin/blankslate/blankslate_files.svg'),
      title: text('title', 'Blankslate title'),
      description: text('description', 'Blankslate description'),
    }
  },
  template: `<ShBlankslate 
    :imgSrc='imgSrc' 
    :title='title' 
    :description='description'
   >
    </ShBlankslate>`,
  methods: {action: action('clicked')}
}),{
  notes: 'A very simple component',
});
