/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue'
import {action} from '@storybook/addon-actions'
import {
  withKnobs,
  text,
  boolean,
  select,
  number,
} from '@storybook/addon-knobs';


import ShButtonUpload from '../components/sh-button-upload/ShButtonUpload.vue'
import centered from "@storybook/addon-centered";

const stories = storiesOf('Button upload', module);

stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.add('ShButtonUpload', () => ({
  components: {ShButtonUpload},
  data: () => {
    return {
      buttonSize: text('buttonSize', '100'),
      buttonCircle: boolean('buttonCircle', false),
      buttonIcon: text('buttonIcon', 'sh-icon-add'),
    }
  },
  template: `
  <ShButtonUpload
    :buttonSize="buttonSize"
    :buttonCircle="buttonCircle"
    :buttonIcon="buttonIcon"
  ></ShButtonUpload>
      `,
  methods: {

  }
}),{
  notes: 'A very simple component',
});
