/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue'
import {action} from '@storybook/addon-actions'
import {
  withKnobs,
  text,
  boolean,
  select,
  number,
} from '@storybook/addon-knobs';
import { color } from '@storybook/addon-knobs';
import ShColorpicker from '../components/sh-colorpicker/ShColorpicker';
import centered from "@storybook/addon-centered";
import i18n from "../../config/storybook/locale";
const stories = storiesOf('Colorpicker', module);

const globalColors = [
  '#FFFFB5', '#FBBD87', '#F45151', '#7AEA89', '#91C8E7', '#8EB4E6', '#B0A7F1'
];
stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.add('Colorpicker', () => ({
  components: {ShColorpicker},
  i18n: i18n,
  data: () => {
    return {
      color: color('color', '#333333'),
      globalColors: globalColors,
      active: boolean('active', false),
      showGlobalColors: boolean('showGlobalColors', true),
    }
  },
  template: `
  <div>
  <ShColorpicker
  v-model="color"
  name="colorpicker"
  :globalColors="showGlobalColors ? globalColors : []"
  ></ShColorpicker>
</div>
`,
  methods: {

  }
}),{
  notes: 'A very very simple component',
});
