import {storiesOf} from '@storybook/vue';
import {
  withKnobs,
  text,
  boolean,
} from '@storybook/addon-knobs';

import ShDragableTags from '../components/sh-dragable-tags/ShDragableTags';
import ShTagButton from '../components/sh-tag/ShTagButton';

import centered from "@storybook/addon-centered";

const stories = storiesOf('DragableTags', module);
stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.add('DragableTags', () => ({
  components: {ShDragableTags, ShTagButton},
  data: () => {
    return {
      header: text('header', 'Wybrane kolumny'),
      setHeaderVisible: boolean('setHeaderVisible', true),
      setItem:  {key: '1', content: 'Default element'},
      listItems: [
        {key: '1', content: 'Drag one', isNotClosable: true, isNotDraggable: true},
        {key: '2', content: 'Drag two'},
        {key: '3', content: 'Drag three'},
        {key: '4', content: 'Drag four'},
        {key: '5', content: 'Drag five'},
        {key: '6', content: 'Drag six'},
        {key: '7', content: 'Drag seven'},
      ],
      setWidth100: boolean('setWidth100', true),
      animationSpeed: text('animationSpeed', '550'),
    }
  },
  template: `<div>
  <ShDragableTags
      :header="header"
      :isVisible="setHeaderVisible"
      :listItems="listItems"
      :animationSpeed="animationSpeed"
      :setWidth100="setWidth100"
    >
    </ShDragableTags>
  </div>`
}),{
  notes: 'A very simple component',
});