/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue'
import {action} from '@storybook/addon-actions'
import {
  withKnobs,
  text,
  boolean,
  select,
} from '@storybook/addon-knobs';

import ShIcon from '../components/sh-icon/ShIcon';

const stories = storiesOf('Icon', module);
import IconsList from '../helpers/IconsList';
import centered from "@storybook/addon-centered";

stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.add('ShIcon', () => ({
  components: {ShIcon},
  data: () => {
    return {
      iconName: select('iconName', IconsList, 'sh-icon-arrow-back')
    }
  },
  template: "<ShIcon :iconName='iconName'></ShIcon>",
  methods: {action: action('clicked')}
}),{
  notes: 'A very very simple component',
});
