/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue'
import {action} from '@storybook/addon-actions'
import {
  withKnobs,
  text,
  boolean,
  select,
} from '@storybook/addon-knobs';

import ShImage from '../components/sh-image/ShImage';
const sizes = {
  '210': '210',
  '100': '100',
  '70': '70',
  '50': '50',
  '40': '40',
  '30': '30',
  '20': '20',
  '10': '10',
};
const stories = storiesOf('Image', module);
import centered from "@storybook/addon-centered";

stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.add('Thumbs', () => ({
  components: {ShImage},
  data: () => {
    return {
      imageSize: select('imageSize', sizes, '100'),
      imageAlt: text('imageAlt', 'Image ALT'),
      imageSrc: text('imageSrc', 'https://shoplo.github.io/shoplo-design/images/thumb.jpg')
    }
  },
  template: `<ShImage 
:imageSize="imageSize"
:imageAlt="imageAlt"
:imageSrc="imageSrc"
></ShImage>`,
  methods: {action: action('clicked')}
}),{
  notes: 'A very very simple component',
});
