/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue';
import Vue from 'vue';
import {action} from '@storybook/addon-actions'
import {
  withKnobs,
  text,
  boolean,
  select,
} from '@storybook/addon-knobs';
import ShNotifications from '../components/sh-notifications/ShNotifications';
import ShButton from '../components/sh-button/ShButton';
import centered from "@storybook/addon-centered";

const stories = storiesOf('Notifications', module);

stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.add('ShNotifications', () => ({
  components: {ShNotifications, ShButton},
  template: `<div>
    <ShButton
      buttonContent="Show Error"
      v-on:click="showError"
    ></ShButton>
    <ShButton
      buttonContent="Show Success"
      v-on:click="showSuccess"
    ></ShButton>
    <ShButton
      buttonContent="Show Warning"
      v-on:click="showWarning"
    ></ShButton>
    <ShNotifications></ShNotifications>
</div>`,
  methods: {
    showError() {
      this.$notify({
        group: 'notify',
        text: 'Example text Example text Example text Example text Example text Example text',
        type: 'error',
        duration: 100000
      });
    },
    showSuccess() {
      this.$notify({
        group: 'notify',
        text: 'Example text',
        type: 'success'
      });
    },
    showWarning() {
      this.$notify({
        group: 'notify',
        text: 'Example text',
        type: 'warning'
      });
    },
  }
}),{
  notes: 'A very very simple component',
});
