/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue'
import {
  withKnobs,
  text,
  boolean,
} from '@storybook/addon-knobs';

import ShRadio from '../components/sh-radio/ShRadio';
import ShRadioGroup from '../components/sh-radio/ShRadioGroup';
import centered from "@storybook/addon-centered";

const stories = storiesOf('Radio', module);
stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.add('ShRadio', () => ({
  components: {ShRadio},
  data: () => {
    return {
      radioLabelContent: text('radioLabelContent', 'Radio label content'),
      radioName: text('radioName', 'sh_radio'),
      radioValue: text('radioValue', 'Radio value'),
      radioValue2: text('radioValue2', 'Radio value2'),
      disabled: boolean('disabled', false),
      isRequired: boolean('isRequired', false),
      value: null
    }
  },
  template: `<div>
    <ShRadio 
    :radioLabelContent="radioLabelContent"
    :radioName="radioName"
    :radioValue="radioValue"
    :disabled="disabled"
    :isRequired="isRequired" 
    v-model="value">
    </ShRadio>
    </div>`
}));

stories.add('ShRadioGroup', () => ({
  components: {ShRadio, ShRadioGroup},
  data: () => {
    return {
      radioLabelContent: text('radioLabelContent', 'Radio label content'),
      radioName: text('radioName', 'sh_radio'),
      radioValue: text('radioValue', 'Radio value'),
      radioValue2: text('radioValue2', 'Radio value2'),
      disabled: boolean('disabled', false),
      isRequired: boolean('isRequired', false),
      value: null
    }
  },
  template: `<div>
<ShRadioGroup>
    <ShRadio 
    :radioLabelContent="radioLabelContent"
    :radioName="radioName"
    :radioValue="radioValue"
    :disabled="disabled"
    :isRequired="isRequired" 
    v-model="value">
    </ShRadio>
    <ShRadio 
    :radioLabelContent="radioLabelContent"
    :radioName="radioName"
    :radioValue="radioValue2"
    :disabled="disabled"
    :isRequired="isRequired" 
    v-model="value">
    </ShRadio>
  </ShRadioGroup>
    </div>`
}));
