/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue'

import ShStatistics from '../components/sh-statistics/ShStatistics';
import ShStatisticsItem from '../components/sh-statistics/ShStatisticsItem';
import centered from "@storybook/addon-centered";

const stories = storiesOf('Statistics', module);

const statistics = [
  { value: '1', description: 'Orders' },
  { value: '0%', description: 'Discounts' },
  { value: '61.00 zł', description: 'Purchases' },
];

stories.addDecorator(centered);
stories.add('ShStatistics', () => ({
  components: {ShStatistics, ShStatisticsItem},
  data: () => {
    return {
      statistics: statistics
    }
  },
  template: `<ShStatistics
  :statistics="statistics">
  </ShStatistics>`,
}),{
  notes: 'A very simple component',
});
