/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue'
import {action} from '@storybook/addon-actions'
import {
  withKnobs,
  text,
  boolean,
} from '@storybook/addon-knobs';

import ShTextarea from '../components/sh-textarea/ShTextarea';
import centered from "@storybook/addon-centered";

const stories = storiesOf('Textarea', module);

stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.add('ShTextarea', () => ({
  components: {ShTextarea},
  data: () => {
    return {
      value: text('value', ''),
      textareaName: text('textareaName', 'textareaName'),
      disabled: boolean('disabled', false),
      isReadonly: boolean('isReadonly', false),
      textareaPlaceholder: text('textareaPlaceholder', ''),
    }
  },
  template: "<ShTextarea " +
    "v-model='value'" +
    ":textareaName='textareaName'" +
    ":disabled='disabled'" +
    ":isReadonly='isReadonly'" +
    ":textareaPlaceholder='textareaPlaceholder'>" +
    "</ShTextarea>",
  methods: {action: action('clicked')}
}),{
  notes: 'A very very simple component',
});
